![logo](./misc/logo.png)

# PyCircStat2: Circular statistics with Python

A rework of [pycircstat](https://github.com/circstat/pycircstat).

[**Installlation**](#installation) | 
[**API Reference**](#api-reference) |
[**Examples**](#examples-notebooks) (
[**Books**](#books) |
[**Topics**](#topics)
)

## Installation

```
pip install pycircstat2
```

To install the development version, clone the repository and install it with `pip -e`:

```
git clone https://github.com/circstat/pycircstat2
pip install -e pycircstat2
```

## API Reference

The API reference is available [here](https://circstat.github.io/pycircstat2/reference/base/).

## Example notbooks

In the notebooks below, we reproduce examples and figures from a few textbooks on circular statistics.

### Books

-   [Statistical Analysis of Circular Data](https://github.com/circstat/pycircstat2/blob/main/examples/B1-Fisher-1993.ipynb) (Fisher, 1993)
-   [Chapter 26 and 27](https://github.com/circstat/pycircstat2/blob/main/examples/B2-Zar-2010.ipynb) from Biostatistical Analysis (Zar, 2010).
-   [Circular Statistics in R](https://github.com/circstat/pycircstat2/blob/main/examples/B3-Pewsey-2014.ipynb) (Pewsey, et al., 2014)

And a few more examples on selective topics:

### Topics

-   [Utils](https://github.com/circstat/pycircstat2/blob/main/examples/T0-utils.ipynb)
-   [Descriptive Statistics](https://github.com/circstat/pycircstat2/blob/main/examples/T1-descriptive-statistics.ipynb)
-   [Hypothesis Testing](https://github.com/circstat/pycircstat2/blob/main/examples/T2-hypothesis-testing.ipynb)
-   [Circular Models](https://github.com/circstat/pycircstat2/blob/main/examples/T3-circular-models.ipynb)
